# Get v2 infra details

Get v2 infra details

Endpoint: GET /gateway/chaos/manager/api/rest/v2/infrastructure/{identity}
Version: 1.0
Security: 

## Path parameters:

  - `identity` (string, required)
    Chaos V2 Infra Identity

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

  - `environmentIdentifier` (string, required)
    environment identifier to filter resource

## Response 200 fields (application/json):

  - `annotation` (object)

  - `containers` (string)

  - `createdAt` (string)

  - `createdBy` (object)

  - `createdBy.email` (string)

  - `createdBy.name` (string)

  - `createdBy.username` (string)

  - `deploymentType` (string)

  - `description` (string)

  - `discoveryAgentID` (string)

  - `env` (array)

  - `env.key` (string)

  - `env.name` (string)

  - `env.value` (string)

  - `env.valueFrom` (string)
    Enum: "configMapKeyRef", "secretKeyRef", "value", "valueFrom"

  - `environmentID` (string)

  - `harnessInfraType` (string)

  - `identifier` (object)

  - `identifier.accountIdentifier` (string)

  - `identifier.orgIdentifier` (string)

  - `identifier.projectIdentifier` (string)

  - `identity` (string)

  - `imageRegistry` (object)

  - `imageRegistry.createdAt` (string)

  - `imageRegistry.createdBy` (object)

  - `imageRegistry.createdBy.email` (string)

  - `imageRegistry.createdBy.userID` (string)

  - `imageRegistry.createdBy.username` (string)

  - `imageRegistry.customImages` (object)

  - `imageRegistry.customImages.ddcr` (string)

  - `imageRegistry.customImages.ddcrFault` (string)

  - `imageRegistry.customImages.ddcrLib` (string)

  - `imageRegistry.customImages.logWatcher` (string)

  - `imageRegistry.identifier` (object)

  - `imageRegistry.identifier.accountIdentifier` (string)
    Harness AccountID

  - `imageRegistry.identifier.orgIdentifier` (string)
    Harness OrgID

  - `imageRegistry.identifier.projectIdentifier` (string)
    Harness projectID

  - `imageRegistry.infraID` (string)

  - `imageRegistry.isDefault` (boolean)

  - `imageRegistry.isOverrideAllowed` (boolean)

  - `imageRegistry.isPrivate` (boolean)

  - `imageRegistry.registryAccount` (string)

  - `imageRegistry.registryServer` (string)

  - `imageRegistry.secretName` (string)

  - `imageRegistry.updatedAt` (string)

  - `imageRegistry.updatedBy` (object)

  - `imageRegistry.useCustomImages` (boolean)

  - `infraID` (string)

  - `infraNamespace` (string)

  - `infraScope` (string)
    Enum: "NAMESPACE", "CLUSTER"

  - `infraType` (string)
    Enum: "KUBERNETES", "KUBERNETESV2"

  - `insecureSkipVerify` (boolean)

  - `installationType` (string)
    Enum: "CONNECTOR", "MANIFEST", "CONNECTOR_V2"

  - `isAIEnabled` (boolean)

  - `isAutopilotEnabled` (boolean)

  - `isChaosEnabled` (boolean)

  - `k8sConnectorID` (string)

  - `label` (object)

  - `lastHeartbeat` (integer)

  - `lastWorkflowTimestamp` (string)

  - `mtls` (object)

  - `mtls.certPath` (string)

  - `mtls.keyPath` (string)

  - `mtls.secretName` (string)

  - `mtls.url` (string)

  - `name` (string)

  - `noOfSchedules` (integer)

  - `noOfWorkflows` (integer)

  - `nodeSelector` (object)

  - `platformName` (string)

  - `proxy` (object)

  - `proxy.httpProxy` (string)

  - `proxy.httpsProxy` (string)

  - `proxy.noProxy` (string)

  - `proxy.url` (string)

  - `runAsGroup` (integer)

  - `runAsUser` (integer)

  - `serviceAccount` (string)

  - `status` (string)
    Enum: "ACTIVE", "INACTIVE", "PENDING", "UPGRADING", "UPGRADE_REQUIRED"

  - `tags` (array)

  - `tolerations` (array)

  - `tolerations.effect` (string)
    Effect indicates the taint effect to match. Empty means match all taint effects.
When specified, allowed values are NoSchedule, PreferNoSchedule and NoExecute.
+optional
    Enum: "NoSchedule", "PreferNoSchedule", "NoExecute"

  - `tolerations.key` (string)
    Key is the taint key that the toleration applies to. Empty means match all taint keys.
If the key is empty, operator must be Exists; this combination means to match all values and all keys.
+optional

  - `tolerations.operator` (string)
    Operator represents a key's relationship to the value.
Valid operators are Exists and Equal. Defaults to Equal.
Exists is equivalent to wildcard for value, so that a pod can
tolerate all taints of a particular category.
+optional
    Enum: "Exists", "Equal"

  - `tolerations.tolerationSeconds` (integer)
    TolerationSeconds represents the period of time the toleration (which must be
of effect NoExecute, otherwise this field is ignored) tolerates the taint. By default,
it is not set, which means tolerate the taint forever (do not evict). Zero and
negative values will be treated as 0 (evict immediately) by the system.
+optional

  - `tolerations.value` (string)
    Value is the taint value the toleration matches to.
If the operator is Exists, the value should be empty, otherwise just a regular string.
+optional

  - `updateStatus` (string)
    Enum: "AVAILABLE", "MANDATORY", "NOT_REQUIRED"

  - `updatedAt` (string)

  - `updatedBy` (object)

  - `upgrade` (object)

  - `upgrade.isAutoUpgradeEnabled` (boolean)

  - `upgrade.status` (string)
    Enum: "UPGRADING_INFRA", "UPGRADE_SKIPPED", "UPGRADE_SUCCESSFUL", "UPGRADE_FAILED", "DETECTING_UPGRADER", "UPGRADER_DISABLED"

  - `version` (string)

  - `volumeMounts` (array)

  - `volumeMounts.mountPath` (string)
    Path within the container at which the volume should be mounted.  Must
not contain ':'.

  - `volumeMounts.mountPropagation` (string)
    mountPropagation determines how mounts are propagated from the host
to container and the other way around.
When not set, MountPropagationNone is used.
This field is beta in 1.10.
+optional
    Enum: "None", "HostToContainer", "Bidirectional"

  - `volumeMounts.name` (string)
    This must match the Name of a Volume.

  - `volumeMounts.readOnly` (boolean)
    Mounted read-only if true, read-write otherwise (false or unspecified).
Defaults to false.
+optional

  - `volumeMounts.subPath` (string)
    Path within the volume from which the container's volume should be mounted.
Defaults to "" (volume's root).
+optional

  - `volumeMounts.subPathExpr` (string)
    Expanded path within the volume from which the container's volume should be mounted.
Behaves similarly to SubPath but environment variable references $(VAR_NAME) are expanded using the container's environment.
Defaults to "" (volume's root).
SubPathExpr and SubPath are mutually exclusive.
+optional

  - `volumes` (array)

  - `volumes.name` (string)

  - `volumes.sizeLimit` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


